;------------------------------------------------------
;- test.asm  (c) Juan Gonzalez. Enero 2004
;------------------------------------------------------
; Enviar un valor por el puerto B de la tarjeta GPBOT
;------------------------------------------------------
; Licencia GPL
;------------------------------------------------------

	;-- Incluir los registros del 6808
	.include "gpregs.inc"

	;-- Incluir mapa de memoria de la GPBOT
	.include "gpmap.inc"

	;-- Zona de codigo
	.area CSEG (ABS)
	.org RomStart
main:
	lda	#0xFF	; Configurar puerto B para salida
	sta	DDRB

	lda	#0xAA	; Enviar un valor al puerto B
	sta	PORTB

	;-- Bucle infinito
inf:	BRA inf


;---------------------------------------
;- Zona de vectores de interrupcion  
;---------------------------------------
dummy_isr:
	RTI

 	.area VECTOR (ABS)
	.org VectorStart
	.dw dummy_isr	;-- Vector TMB	
	.dw dummy_isr	;-- Vector DAC
	.dw dummy_isr   ;-- Vector KBI
	.dw dummy_isr	;-- Vector Transmision SCI
	.dw dummy_isr	;-- Vector Receptor SCI
	.dw dummy_isr	;-- Vector Error SCI		
	.dw dummy_isr	;-- Vector Tranmisor SPI
	.dw dummy_isr	;-- Vector Receptor SPI
	.dw dummy_isr	;-- Vector Overflow TIM2
	.dw dummy_isr	;-- Vector Canal 1 TIM2
	.dw dummy_isr	;-- Vector Canal 0 TIM2
	.dw dummy_isr	;-- Vector Overflow TIM1
	.dw dummy_isr	;-- Vector Canal 1  TIM1
	.dw dummy_isr	;-- Vector Canal 0  TIM1
	.dw dummy_isr	;-- Vector PLL
	.dw dummy_isr	;-- Vector IRQ	
	.dw dummy_isr	;-- Vector SWI
	.dw main	;-- Vector Reset
	

